## orca 0.2.2.1

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = man src

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	rm -f {configure,build}-stamp
	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	rm -rf debian/tmp
	find . -name "*~" -exec rm -f {} \;
	find . -name ".index" -exec rm -f {} \;

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -d $(mandir)/man5
	$(INSTALL) -c -m 0644 orca.1 $(mandir)/man1
	$(INSTALL) -c -m 0644 orca.conf.5 $(mandir)/man5

uninstall::
	rm -f $(mandir)/man1/orca.1 $(mandir)/man5/orca.conf.5

=== debian/changelog ===
orca (0.2.2.1) unstable; urgency=low

  * NMU.
  * The "I want to listen to the SEAT MAKINERO song again" release.
  * make runs in error mode.
  * Updated to use librrd0-dev as build-dep (Closes: #182707)
  * Cleans and rebuild libutils since it was delivered as i386 binary.

 -- Jesus Climent <jesus.climent@hispalinux.es>  Mon, 14 Jul 2003 15:08:58 +0000

orca (0.2.2) unstable; urgency=low

  * Minor bugfixes.
  * Update to be compatible with latest tinysnmp release (0.4.1).
  * New makefile system.

 -- Abraham van der Merwe <abz@debian.org>  Sat, 10 Aug 2002 23:36:40 +0200

orca (0.2.1) unstable; urgency=low

  * Added an ``documentroot'' option to allow pages to be generated that can
    be situated in a subtree of a virtualhost.
  * Got rid of '%m' macros (the BSD operating systems doesn't support it).
  * Added toad, newt to the list of default agents to query.

 -- Abraham van der Merwe <abz@debian.org>  Sat,  6 Jul 2002 18:34:05 +0200

orca (0.1.5) unstable; urgency=low

  * Removed check for maximum interface speed. The graphing part doesn't
    like it if we change the speed to unknown.
  * Added swim.frogfoot.net to the list of default agents to query.

 -- Abraham van der Merwe <abz@debian.org>  Sun, 23 Jun 2002 15:48:28 +0200

orca (0.1.4) unstable; urgency=low

  * Changed license to reflect my new preferred email address.
  * Migrated to new TinySNMP manager interface.

 -- Abraham van der Merwe <abz@debian.org>  Sat, 22 Jun 2002 21:24:56 +0200

orca (0.1.3) unstable; urgency=low

  * Fixed memory leak when some routers can't be found when orca starts.
  * Updated default configuration file.
  * Now query iso.org.dod.internet.mgmt.mib-2.interfaces.ifNumber.0 to
    figure out how many interfaces there is (some ucd-snmpd versions is
    screwed up enough to have ifIndex OIDs past the number of interfaces)
  * Fixed ifAlias bug (caused querying of routers without ifAlias ObjectIDs
    to fail)
  * Added order configuration option which allow administrator to select a
    customer preferred displayed order of router interfaces.
  * Added an option to allow the administrator to override interface aliases
    in the configuration file.

 -- Abraham van der Merwe <abz@debian.org>  Sun,  9 Jun 2002 14:56:54 +0200

orca (0.1.2) unstable; urgency=low

  * Fixed logrotate script (there's not such thing as /sbin/killall :P).

 -- Abraham van der Merwe <abz@debian.org>  Sun, 17 Apr 2002 20:48:35 +0200

orca (0.1.1) unstable; urgency=low

  * Fixed a memory leak when failing on RRD database creates.
  * Fixes the ownership of the library, web page directories before
    giving up priviledges.
  * Changes ownership of directories in postinst debian script.

 -- Abraham van der Merwe <abz@debian.org>  Sun,  7 Apr 2002 23:02:02 +0200

orca (0.0.1) unstable; urgency=low

  * This is the first official release

 -- Abraham van der Merwe <abz@debian.org>  Sun,  7 Apr 2002 15:02:14 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: orca
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), tinysnmp-manager-dev (>= 0.4.1), libdebug0-dev (>= 0.2.2), libconfig0-dev (>= 0.1.3), libber0-dev (>= 0.2.3), librrd0-dev
Standards-Version: 3.5.2

Package: orca
Architecture: any
Depends: ${shlibs:Depends}, logrotate
Description: Router Monitoring and Graphing System
 ORCA collects and display statistics gathered from routers via SNMP.
 It uses the RRD tool library by Tobias Oetiker for storing data and
 generating graphs.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-


export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/orca

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Remove backup files
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;

	# Add here commands to compile the package.
	cd lib && $(MAKE)
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-cd lib && $(MAKE) clean

	dh_clean
	rm -f $(CURDIR)/debian/{build,configure}-stamp
	rm -rf $(CURDIR)/debian/orca $(CURDIR)/debian/tmp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/orca.
	-$(MAKE) install DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installlogrotate -a
	dh_installinit -a -n
	dh_installman -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## orca 0.2.3

=== Makefile ===
--- 
+++ 
@@ -54,9 +54,9 @@
 	dpkg-buildpackage -rfakeroot -k2B555AEE
 
 distclean::
-	rm -f {configure,build}-stamp
-	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
-	rm -rf debian/tmp
+	$(RM) {configure,build}-stamp
+	$(RM) debian/*.{debhelper,substvars} debian/{substvars,files,*~}
+	$(RM) -r debian/{tmp,orca}
 	find . -name "*~" -exec rm -f {} \;
 	find . -name ".index" -exec rm -f {} \;

=== lib/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = atou16.o atou32.o bprintf.o mkdirhier.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = libutils.a

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== man/Makefile ===
--- 
+++ 
@@ -49,11 +49,11 @@
 include $(TOPDIR)/rules.mk
 
 install::
-	$(INSTALL) -d $(mandir)/man1
 	$(INSTALL) -d $(mandir)/man5
-	$(INSTALL) -c -m 0644 orca.1 $(mandir)/man1
+	$(INSTALL) -d $(mandir)/man8
 	$(INSTALL) -c -m 0644 orca.conf.5 $(mandir)/man5
+	$(INSTALL) -c -m 0644 orca.8 $(mandir)/man8
 
 uninstall::
-	rm -f $(mandir)/man1/orca.1 $(mandir)/man5/orca.conf.5
+	$(RM) $(mandir)/man5/orca.conf.5 $(mandir)/man8/orca.8

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

CPPFLAGS = -D_BSD_SOURCE -D_ISOC99_SOURCE -D_GNU_SOURCE
LDFLAGS = -L$(TOPDIR)/lib
LDLIBS = -lmanager -lber -ldebug -lconfig -lrrd -lutils

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = config.o db.o html.o images.o router.o main.o

# program name (leave as is if there is no program)
PRG = orca

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(sbindir)
	$(INSTALL) -d $(sysconfdir)
	$(INSTALL) -c -m 0755 $(PRG) $(sbindir)
	$(INSTALL) -c -m 0644 $(PRG).conf $(sysconfdir)

uninstall::
	rm -f $(sbindir)/$(PRG)
	rm -f $(sysconfdir)/$(PRG).conf

=== debian/changelog ===
orca (0.2.3) unstable; urgency=low

  * Link against latest libdebug (Closes: #231080)
  * Changed package section (Closes: #159404)
  * Added build-dependency on librrd0-dev (Closes: #182707)
  * Updated debian policy version

 -- Abraham vd Merwe <abz@debian.org>  Mon, 19 Jul 2004 14:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
-Build-Depends: debhelper (>> 3.0.0), tinysnmp-manager-dev (>= 0.4.1), libdebug0-dev (>= 0.2.2), libconfig0-dev (>= 0.1.3), libber0-dev (>= 0.2.3), librrd0-dev
-Standards-Version: 3.5.2
+Build-Depends: debhelper (>> 3.0.0), tinysnmp-manager-dev (>= 0.6.3), libdebug0-dev (>= 0.3.2), libconfig0-dev (>= 0.1.5), libber0-dev (>= 0.3.5), librrd0-dev
+Standards-Version: 3.6.1
 
 Package: orca
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
 	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
 
 	# Add here commands to compile the package.
-	cd lib && $(MAKE)
-	$(MAKE)
+	-$(MAKE)
 
 	touch build-stamp
 
@@ -36,7 +35,6 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-	-cd lib && $(MAKE) clean
 
 	dh_clean
 	rm -f $(CURDIR)/debian/{build,configure}-stamp

## orca 0.2.3ubuntu1

=== debian/changelog ===
orca (0.2.3ubuntu1) gutsy; urgency=low

  * debian/control:
    + Build-depend on librrd2-dev instead of librrd0-dev.
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 03 Sep 2007 22:41:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: orca
 Section: net
 Priority: optional
-Maintainer: Abraham vd Merwe <abz@debian.org>
-Build-Depends: debhelper (>> 3.0.0), tinysnmp-manager-dev (>= 0.6.3), libdebug0-dev (>= 0.3.2), libconfig0-dev (>= 0.1.5), libber0-dev (>= 0.3.5), librrd0-dev
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Abraham vd Merwe <abz@debian.org>
+Build-Depends: debhelper (>> 3.0.0), tinysnmp-manager-dev (>= 0.6.3), libdebug0-dev (>= 0.3.2), libconfig0-dev (>= 0.1.5), libber0-dev (>= 0.3.5), librrd2-dev
 Standards-Version: 3.6.1
 
 Package: orca

## orca 1.0

=== DESCRIPTION ===
Package: orca
Version: 1.0
Date: 2014-01-13
Title: Orca: Counting graphlet orbits in sparse graphs
Author: Tomaz Hocevar, Janez Demsar
Description: Implements orbit counting using a fast combinatorial approach
Maintainer: Janez Demsar <janez.demsar@fri.uni-lj.si>
License: LGPL-3
Depends: R (>= 3.1)
Suggests: graph
NeedsCompilation: yes
SystemRequirements: C++11
Collate: orca.R
LazyLoad: yes
Packaged: 2014-03-22 14:54:59 UTC; janez
Repository: CRAN
Date/Publication: 2014-03-29 09:49:45

## orca 1.1

=== DESCRIPTION ===
Package: orca
Version: 1.1
Date: 2015-03-10
Title: Computation of Graphlet Orbit Counts in Sparse Graphs
Author: Tomaz Hocevar, Janez Demsar
Description: Implements orbit counting using a fast combinatorial approach.
	Counts orbits of nodes and edges from edge matrix or data frame, or a
	graph object from the graph package.
Maintainer: Janez Demsar <janez.demsar@fri.uni-lj.si>
License: LGPL-3
Depends: R (>= 3.1)
Enhances: graph
NeedsCompilation: yes
SystemRequirements: C++11
Collate: orca.R
LazyLoad: yes
Packaged: 2015-03-10 07:04:09 UTC; janez
Repository: CRAN
Date/Publication: 2015-03-10 17:23:03

## orca 1.1-1

=== DESCRIPTION ===
Package: orca
Version: 1.1-1
Date: 2016-07-28
Title: Computation of Graphlet Orbit Counts in Sparse Graphs
Authors@R: c(person("Tomaz", "Hocevar", role = "aut"),
                         person("Janez", "Demsar", role=c("aut", "cre"),
		     email = "janez.demsar@fri.uni-lj.si"))
Description: Implements orbit counting using a fast combinatorial approach.
	Counts orbits of nodes and edges from edge matrix or data frame, or a
	graph object from the graph package.
License: LGPL-3
Depends: R (>= 3.1)
Enhances: graph
NeedsCompilation: yes
SystemRequirements: C++11
Collate: orca.R
LazyLoad: yes
Packaged: 2016-07-28 09:52:41 UTC; janez
Author: Tomaz Hocevar [aut],
  Janez Demsar [aut, cre]
Maintainer: Janez Demsar <janez.demsar@fri.uni-lj.si>
Repository: CRAN
Date/Publication: 2016-07-28 17:28:33

## orca 1.1-2

=== DESCRIPTION ===
Package: orca
Version: 1.1-2
Date: 2023-12-13
Title: Computation of Graphlet Orbit Counts in Sparse Graphs
Authors@R: c(person("Tomaz", "Hocevar", role = c("aut", "cre"), email = "tomaz.hocevar@fri.uni-lj.si"),
             person("Janez", "Demsar", role = "aut"))
Description: Implements orbit counting using a fast combinatorial approach.
	Counts orbits of nodes and edges from edge matrix or data frame, or a
	graph object from the graph package.
License: LGPL-3
Depends: R (>= 3.1)
Enhances: graph
NeedsCompilation: yes
Collate: orca.R
LazyLoad: yes
LazyData: yes
Packaged: 2023-12-13 12:38:59 UTC; thocevar
Author: Tomaz Hocevar [aut, cre],
  Janez Demsar [aut]
Maintainer: Tomaz Hocevar <tomaz.hocevar@fri.uni-lj.si>
Repository: CRAN
Date/Publication: 2023-12-13 22:20:05 UTC

## orca 1.1-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: orca
-Version: 1.1-2
-Date: 2023-12-13
+Version: 1.1-3
+Date: 2024-09-19
 Title: Computation of Graphlet Orbit Counts in Sparse Graphs
 Authors@R: c(person("Tomaz", "Hocevar", role = c("aut", "cre"), email = "tomaz.hocevar@fri.uni-lj.si"),
              person("Janez", "Demsar", role = "aut"))
@@ -14,9 +14,9 @@
 Collate: orca.R
 LazyLoad: yes
 LazyData: yes
-Packaged: 2023-12-13 12:38:59 UTC; thocevar
+Packaged: 2024-09-20 06:42:28 UTC; thocevar
 Author: Tomaz Hocevar [aut, cre],
   Janez Demsar [aut]
 Maintainer: Tomaz Hocevar <tomaz.hocevar@fri.uni-lj.si>
 Repository: CRAN
-Date/Publication: 2023-12-13 22:20:05 UTC
+Date/Publication: 2024-09-20 14:00:06 UTC

## orca 3.28.0

=== debian/changelog ===
orca (3.28.0-3ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1765450). Remaining changes:
    - Add 0001-Add-GSettings-backend-to-Orca.patch:
      + Add GSettings backend and use it by default if there isn't
        an existing config.
    - Add unity-a11y.patch:
      + Add hacks to better work with Unity

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Apr 2018 11:47:49 -0400

orca (3.28.0-3) unstable; urgency=medium

  * cherry-pick upstream fix to release brlapi when braille is deactivated.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Apr 2018 11:08:50 +0200

orca (3.28.0-2) unstable; urgency=medium

  * cherry-pick upstream fix for random dots appearing at end of braille
    output.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Apr 2018 11:02:16 +0200

orca (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Mar 2018 10:50:29 -0400

orca (3.27.91-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 0001-Add-GSettings-backend-to-Orca.patch:
      + Add GSettings backend and use it by default if there isn't
        an existing config.
    - Add unity-a11y.patch:
      + Add hacks to better work with Unity

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Feb 2018 13:10:22 -0500

orca (3.27.91-1) experimental; urgency=medium

  * New upstream development release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump at-spi2 dependencies to 2.26

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Feb 2018 13:01:48 -0500

orca (3.26.0-5) unstable; urgency=medium

  * Add missing Breaks/Replaces for renamed package (Closes: #885130)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Dec 2017 08:25:54 -0500

orca (3.26.0-4) unstable; urgency=medium

  * Rename source and binary to orca to match upstream naming
  * Remove old NEWS.Debian from 2014

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Dec 2017 16:14:12 -0500

gnome-orca (3.26.0-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Dec 2017 13:44:04 -0500

gnome-orca (3.26.0-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.1 (no changes).

  [ Jeremy Bicha ]
  * Don't recommend the GTK+ 2 library libgail-common, since
    GTK+2 already recommends it

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Dec 2017 21:42:32 -0500

gnome-orca (3.26.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Switch to dh
  * Bump debhelper compat to 10
  * debian/control.in:
    - Bump python-gobject to >= 3.18
    - Bump python3-pyatspi and at-spi2-atk to >= 2.18
  * Drop patches applied in new release:
    - 0001-Return-immediately-in-isLayoutOnly-if-obj-is-dead.patch
    - 0001-Handle-another-Atspi-The-process-appears-to-be-hung-.patch
    - 0001-Add-check-for-dead-accessibles-before-attempting-to-.patch
    - 0001-Handle-yet-another-Atspi-The-process-appears-to-be-h.patch

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.
  * control: Bump Standards-Version to 4.1.0 (no change)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 22:17:03 -0400

gnome-orca (3.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch git-0da4c2ed3d4dedb2229e542ff47257f1d2ab1a50: applied
    upstream
  * Add dh-python to list of Build-Depends (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sun, 25 Jun 2017 15:18:44 +0200

gnome-orca (3.22.2-3) unstable; urgency=medium

  * Team upload.
  * cherry-pick upstream commits to prevent Synaptic (and other badly
    behaving binaries) from causing harm to the Orca experience:
    - edbfafbd89409bfb1e4a4e3a9339c0b2de7435d6
    - d51f87a7f000d099da98247dc7ca337b2b5483be
    - 382c5408afc7dd25f9b477a5e30c50ba917155c0
    - ea02cc2d268348c22ffe8c23099f6b023d4c90a7
    (Closes: #859262)

 -- Paul Gevers <elbrus@debian.org>  Wed, 03 May 2017 20:21:45 +0200

gnome-orca (3.22.2-2) unstable; urgency=medium

  * git-0da4c2ed3d4dedb2229e542ff47257f1d2ab1a50: cherry-pick upstream fix for
    crash with Writer table (Closes: Bug#852863).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jan 2017 11:52:33 +0100

gnome-orca (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Nov 2016 14:33:58 +0100

gnome-orca (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Update uploader.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Oct 2016 00:19:43 +0200

gnome-orca (3.20.2-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)

  [ Mario Lang ]
  * New upstream version (Closes: Bug#825502).

 -- Mario Lang <mlang@debian.org>  Sat, 28 May 2016 12:39:01 +0200

gnome-orca (3.20.0-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.7 (no change).

  [ Mario Lang ]
  * New upstream release.
    - Drop debian/patches/mate-notifications.diff.

 -- Mario Lang <mlang@debian.org>  Sun, 03 Apr 2016 23:24:31 +0200

gnome-orca (3.18.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/password-not-spoken.diff: Remove, merged upstream.

 -- Mario Lang <mlang@debian.org>  Tue, 10 Nov 2015 19:49:35 +0100

gnome-orca (3.18.0-2) unstable; urgency=medium

  * Team upload.
  * orca-dm-wrapper: do not start the at-spi bus ourself, lightdm-gtk-greeter
    2.0.0 now does it by itself.
  * patches/password-not-spoken.diff: Make sure to bring focus on password
    entry when typing a key, so we don't echo it. (Closes: #800602)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Oct 2015 23:32:02 +0200

gnome-orca (3.18.0-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: orca
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
           Samuel Thibault <sthibault@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               gnome-pkg-tools (>= 0.10),
               intltool (>= 0.50.0),
               libatk-bridge2.0-dev (>= 2.26),
               libatspi2.0-dev (>= 2.26),
               pkg-config,
               python3 (>= 3.3),
               python-gi-dev (>= 3.18),
               python3-brlapi (>= 0.5.1),
               python3-louis (>= 1.6.2), liblouis-dev,
               python3-pyatspi (>= 2.26),
               python3-speechd (>= 0.8),
               yelp-tools
X-Python3-Version: >= 3.3
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/orca
Vcs-Git: https://salsa.debian.org/gnome-team/orca.git
Homepage: https://wiki.gnome.org/Projects/Orca

Package: orca
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0 (>= 3.6.2),
         gir1.2-pango-1.0,
         gir1.2-wnck-3.0,
         python3-brlapi (>= 0.5.1),
         python3-cairo,
         python3-gi (>= 3.18),
         python3-louis (>= 1.6.2),
         python3-pyatspi (>= 2.26),
         python3-speechd (>= 0.8),
         speech-dispatcher (>= 0.8),
         gsettings-desktop-schemas,
Recommends: xbrlapi
Breaks: gnome-orca (<< 3.26.0-4~)
Replaces: gnome-orca (<< 3.26.0-4~)
Description: Scriptable screen reader
 A flexible, extensible, and powerful assistive technology that
 provides end-user access to applications and toolkits that support the
 AT-SPI (e.g., the GNOME desktop).
 .
 Orca defines a set of default behaviors (reactions to application events) and
 key bindings (reaction to user key presses). These default behaviors and key
 bindings can be overwritten on a per-application basis. Orca creates a script
 object for each running application, which merges both the default behaviors
 and key bindings, and the application specific ones. Orca provides the
 infrastructure to activate and deactivate scripts, as well as a host of
 services accessible from within the scripts.

Package: gnome-orca
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         orca
Description: Scriptable screen reader - transitional package
 A flexible, extensible, and powerful assistive technology that
 provides end-user access to applications and toolkits that support the
 AT-SPI (e.g., the GNOME desktop).
 .
 This package is here to ensure smooth upgrades. It can be removed when
 you see fit.

=== debian/rules ===
#! /usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := orca

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,python3

override_dh_missing:
	dh_missing --fail-missing

## orca 3.30.0

=== debian/changelog ===
orca (3.30.0-1ubuntu1) cosmic; urgency=medium

  * Resynchronize with Debian, remaining changes
    - debian/patches/0001-Add-GSettings-backend-to-Orca.patch:
      Add GSettings backend and use it by default if there isn't
      an existing config.
    - debian/patches/unity-a11y.patch:
      Add hacks to better work with Unity
  * Revert the new use of gstreamer until next cycle

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Oct 2018 10:23:07 +0200

orca (3.30.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Oct 2018 10:28:41 +0200

orca (3.28.1-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * control: Add missing libgstreamer1.0-dev Build-Depends and python3-gst-1.0
    Recommends for sound support.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Aug 2018 17:03:08 +0200

orca (3.28.1-2) unstable; urgency=high

  * patches/wordwrap: Fix not mistakenly auto-enabling word wrap option.
  * patches/update: Fix missing braille updates in firefox.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Jun 2018 00:41:01 +0200

orca (3.28.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop all patches: applied in new release
  * Add fix-brlmon-regression.patch:
    - Cherry-pick fix from gnome-3-28 branch

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 May 2018 10:58:49 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                python3-speechd (>= 0.8),
                yelp-tools
 X-Python3-Version: >= 3.3
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/orca
 Vcs-Git: https://salsa.debian.org/gnome-team/orca.git
 Homepage: https://wiki.gnome.org/Projects/Orca

## orca 3.30.1

=== debian/changelog ===
orca (3.30.1-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 12:36:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -15,6 +14,7 @@
                intltool (>= 0.50.0),
                libatk-bridge2.0-dev (>= 2.26),
                libatspi2.0-dev (>= 2.26),
+               libgstreamer1.0-dev,
                pkg-config,
                python3 (>= 3.3),
                python-gi-dev (>= 3.18),
@@ -45,7 +45,7 @@
          python3-speechd (>= 0.8),
          speech-dispatcher (>= 0.8),
          gsettings-desktop-schemas,
-Recommends: xbrlapi
+Recommends: xbrlapi, python3-gst-1.0
 Breaks: gnome-orca (<< 3.26.0-4~)
 Replaces: gnome-orca (<< 3.26.0-4~)
 Description: Scriptable screen reader

## orca 3.31.4

=== debian/changelog ===
orca (3.31.4-1ubuntu1) disco; urgency=medium

  * Resynchronize with Debian, remaining changes
    - debian/patches/0001-Add-GSettings-backend-to-Orca.patch:
      Add GSettings backend and use it by default if there isn't
      an existing config.
    - debian/patches/unity-a11y.patch:
      Add hacks to better work with Unity
  * debian/control.in: 
    - build with gstreamer now but lower the python3-gst-1.0 recommends to
      suggests while that component is still in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Feb 2019 17:56:37 +0100

orca (3.31.4-1) experimental; urgency=medium

  * New upstream unstable release.
    - debian/patches/git-braille-garbage: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jan 2019 20:21:00 +0100

orca (3.31.1-2) experimental; urgency=medium

  * debian/patches/git-braille-garbage: Fix spurious garbage at end of lines.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Jan 2019 21:48:28 +0100

orca (3.31.1-1) experimental; urgency=medium

  * New upstream unstable release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 Nov 2018 20:08:45 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[0-9])/ \
	@PACKAGE@@ANY_VERSION@\.tar\.xz

## orca 3.33.3

=== debian/changelog ===
orca (3.33.3-1) experimental; urgency=medium

  * New upstream unstable release.
  * control: Drop x-python3-version >= 3.3, which is already available in
    oldstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Jun 2019 10:14:25 +0200

orca (3.33.1-1) experimental; urgency=medium

  * New upstream unstable release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Apr 2019 18:21:40 +0200

orca (3.31.92-1) experimental; urgency=medium

  * New upstream unstable release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2019 00:19:05 +0100

orca (3.31.91-1) experimental; urgency=medium

  * New upstream unstable release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Feb 2019 00:51:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -24,7 +23,6 @@
                python3-pyatspi (>= 2.26),
                python3-speechd (>= 0.8),
                yelp-tools
-X-Python3-Version: >= 3.3
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/orca
 Vcs-Git: https://salsa.debian.org/gnome-team/orca.git

## orca 3.34.0

=== debian/changelog ===
orca (3.34.0-1ubuntu3) eoan; urgency=medium

  * Updated the patches to fix translations now that upstream isn't using
    intltool anymore, also change to use the correct gettext domain,
    those change also fix the recent build issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 17:09:01 +0200

orca (3.34.0-1ubuntu1) eoan; urgency=medium

  * Resynchronize with Debian, remaining changes
    - debian/patches/0001-Add-GSettings-backend-to-Orca.patch:
      Add GSettings backend and use it by default if there isn't
      an existing config.
    - debian/patches/unity-a11y.patch:
      Add hacks to better work with Unity
  * debian/control.in: 
    - build with gstreamer now but lower the python3-gst-1.0 recommends to
      suggests while that component is still in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 21:20:09 +0200

orca (3.34.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Sep 2019 23:02:02 +0200

orca (3.33.91-1) experimental; urgency=medium

  * New upstream unstable release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Aug 2019 23:11:59 +0200

orca (3.33.90-1) experimental; urgency=medium

  * New upstream unstable release.
  * control:
    - Switch from intltool to gettext dependency.
    - Make orca recommend gstreamer1.0-plugins-good.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 00:50:25 +0200

orca (3.32.0-2) UNRELEASED; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Drop X-Python3-Version 3.3

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 23:45:51 +0200

orca (3.32.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add missing gir1.2-gstreamer-1.0, gstreamer1.0-plugins-good
    dependencies. Closes: Bug#931687.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2019 20:33:05 +0200

## orca 3.34.1

=== debian/changelog ===
orca (3.34.1-1~bpo10+rpi8) buster; urgency=medium

  * Merge upstream WebKit fix

 -- Simon Long <simon@raspberrypi.com>  Wed, 01 Jun 2022 15:52:10 +0100

orca (3.34.1-1~bpo10+rpi7) buster; urgency=medium

  * Fix labelling for radio button groups

 -- Simon Long <simon@raspberrypi.com>  Tue, 10 Nov 2020 12:17:50 +0000

orca (3.34.1-1~bpo10+rpi6) buster; urgency=medium

  * Set default gain to 2.0 to prevent overload with espeak-ng

 -- Simon Long <simon@raspberrypi.com>  Thu, 29 Oct 2020 12:19:00 +0000

orca (3.34.1-1~bpo10+rpi5) buster; urgency=medium

  * Add override scripts for reboot and shutdown to kill orca first

 -- Simon Long <simon@raspberrypi.com>  Wed, 14 Oct 2020 14:00:11 +0100

orca (3.34.1-1~bpo10+rpi4) buster; urgency=medium

  * Add custom script for lxpanel to fix menu bug

 -- Simon Long <simon@raspberrypi.com>  Mon, 27 Apr 2020 14:58:09 +0100

orca (3.34.1-1~bpo10+rpi3) buster; urgency=medium

  * Remove stretch-only dependencies

 -- Simon Long <simon@raspberrypi.org>  Mon, 10 Feb 2020 15:05:21 +0000

orca (3.34.1-1~bpo10+rpi2) buster; urgency=medium

  * Force keyboard compiler to load settings before querying it

 -- Simon Long <simon@raspberrypi.org>  Wed, 05 Feb 2020 13:48:48 +0000

orca (3.34.1-1~bpo10+rpi1) buster; urgency=medium

  * Add LXDE compatibility and missing libgnomeui0 dependency
  * Modify gsettings defaults to enable screen reader

 -- Simon Long <simon@raspberrypi.org>  Mon, 20 Jan 2020 15:14:31 +0000

orca (3.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Nov 2019 18:57:57 +0100

orca (3.34.0-2) unstable; urgency=medium

  * patches/gedit: Fix using gedit script for gedit 3.34.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Sep 2019 01:43:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                gnome-pkg-tools (>= 0.10),
-               intltool (>= 0.50.0),
+               gettext (>= 0.19.8~),
                libatk-bridge2.0-dev (>= 2.26),
                libatspi2.0-dev (>= 2.26),
                libgstreamer1.0-dev,
@@ -23,7 +23,7 @@
                python3-pyatspi (>= 2.26),
                python3-speechd (>= 0.8),
                yelp-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/orca
 Vcs-Git: https://salsa.debian.org/gnome-team/orca.git
 Homepage: https://wiki.gnome.org/Projects/Orca
@@ -36,6 +36,7 @@
          gir1.2-gtk-3.0 (>= 3.6.2),
          gir1.2-pango-1.0,
          gir1.2-wnck-3.0,
+         gir1.2-gstreamer-1.0, gstreamer1.0-plugins-good,
          python3-brlapi (>= 0.5.1),
          python3-cairo,
          python3-gi (>= 3.18),
@@ -44,7 +45,8 @@
          python3-speechd (>= 0.8),
          speech-dispatcher (>= 0.8),
          gsettings-desktop-schemas,
-Recommends: xbrlapi, python3-gst-1.0
+         libgail-common
+Recommends: xbrlapi, python3-gst-1.0, gstreamer0.10-plugins-base, qt-at-spi
 Breaks: gnome-orca (<< 3.26.0-4~)
 Replaces: gnome-orca (<< 3.26.0-4~)
 Description: Scriptable screen reader

## orca 3.34.2

=== debian/changelog ===
orca (3.34.2-1) unstable; urgency=medium

  * New upstream release.
  * watch: Track only even versions.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Feb 2020 00:23:44 +0100

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,7 @@
          python3-speechd (>= 0.8),
          speech-dispatcher (>= 0.8),
          gsettings-desktop-schemas,
-         libgail-common
-Recommends: xbrlapi, python3-gst-1.0, gstreamer0.10-plugins-base, qt-at-spi
+Recommends: xbrlapi, python3-gst-1.0, gstreamer0.10-plugins-base
 Breaks: gnome-orca (<< 3.26.0-4~)
 Replaces: gnome-orca (<< 3.26.0-4~)
 Description: Scriptable screen reader

## orca 3.35.3

=== debian/changelog ===
orca (3.35.3-1ubuntu1) focal; urgency=medium

  * Update and resynchronize on Debian, remaining Ubuntu changes
  * debian/patches/unity-a11y.patch: add hacks to better work with Unity
  * debian/control.in: build with gstreamer now but lower the python3-gst-1.0
    recommends to suggests while that component is still in universe
  * Removed Ubuntu delta
  * debian/patches/0001-Add-GSettings-backend-to-Orca.patch:
      remove the gsettings backend, it's unmaintained and buggy
      (lp: #1783641)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 21:00:37 +0100

orca (3.35.3-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Jan 2020 12:45:05 +0100

## orca 3.36.1

=== debian/changelog ===
orca (3.36.1-0ubuntu1) focal; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Mar 2020 23:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: orca
 Section: gnome
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -45,7 +46,8 @@
          python3-speechd (>= 0.8),
          speech-dispatcher (>= 0.8),
          gsettings-desktop-schemas,
-Recommends: xbrlapi, python3-gst-1.0, gstreamer0.10-plugins-base
+Recommends: xbrlapi, gstreamer0.10-plugins-base
+Suggests: python3-gst-1.0
 Breaks: gnome-orca (<< 3.26.0-4~)
 Replaces: gnome-orca (<< 3.26.0-4~)
 Description: Scriptable screen reader

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,python3

override_dh_missing:
	dh_missing --fail-missing

## orca 3.36.2

=== debian/changelog ===
orca (3.36.2-1ubuntu1~20.04.2) focal-security; urgency=medium

  * Fix some inaccessibility regressions in webkitgtk 2.36 (LP: #1971076)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 May 2022 10:52:01 -0400

orca (3.36.2-1ubuntu1~20.04.1) focal; urgency=medium

  * Backport from groovy to focal (LP: #1876748)
  * control, gbp.conf: Update for ubuntu/focal

 -- Iain Lane <iain.lane@canonical.com>  Mon, 04 May 2020 16:38:39 +0100

orca (3.36.2-1ubuntu1) groovy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity
    + debian/control.in: build with gstreamer now but lower the
      python3-gst-1.0 recommends to suggests while that component is still in
      universe
  * control, gbp.conf: Update for ubuntu branches

 -- Iain Lane <iain.lane@canonical.com>  Mon, 04 May 2020 14:41:39 +0100

orca (3.36.2-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Apr 2020 23:20:00 +0200

orca (3.36.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Mar 2020 23:55:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
            Samuel Thibault <sthibault@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
                gnome-pkg-tools (>= 0.10),
                gettext (>= 0.19.8~),
@@ -24,9 +24,11 @@
                python3-pyatspi (>= 2.26),
                python3-speechd (>= 0.8),
                yelp-tools
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/orca
-Vcs-Git: https://salsa.debian.org/gnome-team/orca.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/orca/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/orca.git -b ubuntu/focal
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/orca
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/orca.git
 Homepage: https://wiki.gnome.org/Projects/Orca
 
 Package: orca
